Bug 275008 - kmail should support importing gzip'd mail archives
Summary: kmail should support importing gzip'd mail archives
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: general (show other bugs)
Version: Git (master)
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-05 22:27 UTC by Johannes Obermayr
Modified: 2013-09-16 06:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2011-06-05 22:27:34 UTC
Version:           Git (master) (using Devel) 
OS:                Linux

For example:
http://mail.kde.org/pipermail/kdepim-bugs/2011-June.txt.gz
(from: http://mail.kde.org/pipermail/kdepim-bugs/)

Reproducible: Always
Comment 1 Laurent Montel 2013-09-15 13:56:08 UTC
kmailcvt doesn't work with it ?
Comment 2 Johannes Obermayr 2013-09-15 14:52:29 UTC
(In reply to comment #1)
> kmailcvt doesn't work with it ?
Currently you must convert in mbox format like described here:
http://www.hermann-uwe.de/blog/converting-mailman-gzipd-text-archive-files-to-proper-mbox-files
Comment 3 Laurent Montel 2013-09-15 17:02:35 UTC
ok I tested kmailcvt it doesnt work by default but I know how to implement it
I will this week.
regards
Comment 4 Laurent Montel 2013-09-16 05:23:26 UTC
Git commit b440b17899d8d0c190bea4550f47e35ba59df206 by Montel Laurent.
Committed on 16/09/2013 at 05:22.
Pushed by mlaurent into branch 'master'.

Start to implement import mailman gzipped file

M  +2    -0    kmailcvt/kselfilterpage.cpp
M  +1    -0    mailimporter/CMakeLists.txt
A  +152  -0    mailimporter/filter_mailmangzip.cpp     [License: GPL (v2)]
A  +35   -0    mailimporter/filter_mailmangzip.h     [License: GPL (v2)]

http://commits.kde.org/kdepim/b440b17899d8d0c190bea4550f47e35ba59df206
Comment 5 Laurent Montel 2013-09-16 06:04:12 UTC
Git commit 21b9ae142f297ff831ac52d0a6fb03c177ed5a3a by Montel Laurent.
Committed on 16/09/2013 at 06:03.
Pushed by mlaurent into branch 'master'.

Fix Bug 275008 - kmail should support importing gzip'd mail archives

FIXED-IN: 4.12

M  +74   -70   mailimporter/filter_mailmangzip.cpp

http://commits.kde.org/kdepim/21b9ae142f297ff831ac52d0a6fb03c177ed5a3a